//Generated by wsdl2apex

public class SAPHOGNotificationServices {
    public class CloseNotificationRequest {
        public String NotificationNumber;
        private String[] NotificationNumber_type_info = new String[]{'NotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationNumber'};
    }
    public class NotificationItemCause {
        public String CauseKey;
        public String CauseCodeGroup;
        public String CauseCode;
        public String CauseDescription;
        public String CauseLongDescription;
        private String[] CauseKey_type_info = new String[]{'CauseKey','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] CauseCodeGroup_type_info = new String[]{'CauseCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] CauseCode_type_info = new String[]{'CauseCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] CauseDescription_type_info = new String[]{'CauseDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] CauseLongDescription_type_info = new String[]{'CauseLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'CauseKey','CauseCodeGroup','CauseCode','CauseDescription','CauseLongDescription'};
    }
    public class UpdateNotificationRequest {
        public String NotificationNumber;
        public String CauseCodeGroup;
        public String CauseCode;
        public String CauseDescription;
        public String NewCauseLongDescription;
        public String DamageCodeGroup;
        public String DamageCode;
        public String DamageDescription;
        public String NewDamageLongDescription;
        public String PartCodeGroup;
        public String PartCode;
        public String PartKey;
        public String MainDescription;
        public String NewMainLongDescription;
        public String Coding;
        public String CodingGroup;
        public String MainWorkCenter;
        public String Priority;
        public DateTime LastChangedDate;
        public String LastChangedBy;
        public String EquipmentNumber;
        public DateTime MalfunctionStartDate;
        public DateTime MalfunctionEndDate;
        public String BreakdownIndicator;
        private String[] NotificationNumber_type_info = new String[]{'NotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] CauseCodeGroup_type_info = new String[]{'CauseCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CauseCode_type_info = new String[]{'CauseCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CauseDescription_type_info = new String[]{'CauseDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] NewCauseLongDescription_type_info = new String[]{'NewCauseLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] DamageCodeGroup_type_info = new String[]{'DamageCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] DamageCode_type_info = new String[]{'DamageCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] DamageDescription_type_info = new String[]{'DamageDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] NewDamageLongDescription_type_info = new String[]{'NewDamageLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] PartCodeGroup_type_info = new String[]{'PartCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] PartCode_type_info = new String[]{'PartCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] PartKey_type_info = new String[]{'PartKey','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] NewMainLongDescription_type_info = new String[]{'NewMainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Coding_type_info = new String[]{'Coding','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CodingGroup_type_info = new String[]{'CodingGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] LastChangedDate_type_info = new String[]{'LastChangedDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] LastChangedBy_type_info = new String[]{'LastChangedBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MalfunctionStartDate_type_info = new String[]{'MalfunctionStartDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','true'};
        private String[] MalfunctionEndDate_type_info = new String[]{'MalfunctionEndDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','true'};
        private String[] BreakdownIndicator_type_info = new String[]{'BreakdownIndicator','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationNumber','CauseCodeGroup','CauseCode','CauseDescription','NewCauseLongDescription','DamageCodeGroup','DamageCode','DamageDescription','NewDamageLongDescription','PartCodeGroup','PartCode','PartKey','MainDescription','NewMainLongDescription','Coding','CodingGroup','MainWorkCenter','Priority','LastChangedDate','LastChangedBy','EquipmentNumber','MalfunctionStartDate','MalfunctionEndDate','BreakdownIndicator'};
    }
    public class IsAliveResponse {
        public String ErrorMessage;
        public Boolean Alive;
        private String[] ErrorMessage_type_info = new String[]{'ErrorMessage','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Alive_att_info = new String[]{'Alive'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'ErrorMessage'};
    }
    public class RefreshSalesforceNotificationsRequest {
        public DateTime DateToRefresh;
        public SAPHOGNotificationServices.ArrayOfNotificationNumbers NotificationNumbers;
        private String[] DateToRefresh_type_info = new String[]{'DateToRefresh','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] NotificationNumbers_type_info = new String[]{'NotificationNumbers','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'DateToRefresh','NotificationNumbers'};
    }
    public class UpdateNotificationResponse {
        public SAPHOGNotificationServices.Notification Notification;
        public SAPHOGNotificationServices.NotificationItemCause NotificationItemCause;
        public String Message;
        public Boolean type_x;
        private String[] Notification_type_info = new String[]{'Notification','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] NotificationItemCause_type_info = new String[]{'NotificationItemCause','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'Notification','NotificationItemCause','Message'};
    }
    public class NotificationItems {
        public SAPHOGNotificationServices.NotificationItem[] NotificationItem;
        private String[] NotificationItem_type_info = new String[]{'NotificationItem','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationItem'};
    }
    public class GetNotificationResponse {
        public SAPHOGNotificationServices.Notification Notification;
        public String Message;
        public Boolean type_x;
        private String[] Notification_type_info = new String[]{'Notification','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'Notification','Message'};
    }
    public class Notification {
        public String NotificationNumber;
        public String FunctionalLocationObjectId;
        public String EquipmentNumber;
        public String MaintenancePlanningPlant;
        public String MainDescription;
        public String MainLongDescription;
        public String Priority;
        public String NotificationType;
        public DateTime RequiredStartDate;
        public DateTime RequiredEndDate;
        public DateTime NotificationDate;
        public String OrderNumber;
        public String MainWorkCenter;
        public String Coding;
        public String CodingGroup;
        public DateTime EnteredDate;
        public String EnteredBy;
        public DateTime ChangedDate;
        public String ChangedBy;
        public String UserStatus;
        public String SystemStatus;
        public String ReportedBy;
        public String FunctionalLocationDescription;
        public String PlannerGroup;
        public String CenterDescription;
        public String Vendor;
        public Boolean Breakdown;
        public DateTime MalfunctionStartDate;
        public DateTime MalfunctionEndDate;
        public Decimal BreakdownDuration;
        public String BreakdownDurationUnit;
        public SAPHOGNotificationServices.NotificationItems Items;
        private String[] NotificationNumber_type_info = new String[]{'NotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] FunctionalLocationObjectId_type_info = new String[]{'FunctionalLocationObjectId','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MaintenancePlanningPlant_type_info = new String[]{'MaintenancePlanningPlant','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] NotificationType_type_info = new String[]{'NotificationType','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] RequiredStartDate_type_info = new String[]{'RequiredStartDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] RequiredEndDate_type_info = new String[]{'RequiredEndDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] NotificationDate_type_info = new String[]{'NotificationDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] OrderNumber_type_info = new String[]{'OrderNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Coding_type_info = new String[]{'Coding','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CodingGroup_type_info = new String[]{'CodingGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] EnteredDate_type_info = new String[]{'EnteredDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] EnteredBy_type_info = new String[]{'EnteredBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ChangedDate_type_info = new String[]{'ChangedDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ChangedBy_type_info = new String[]{'ChangedBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] SystemStatus_type_info = new String[]{'SystemStatus','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] ReportedBy_type_info = new String[]{'ReportedBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] FunctionalLocationDescription_type_info = new String[]{'FunctionalLocationDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] PlannerGroup_type_info = new String[]{'PlannerGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CenterDescription_type_info = new String[]{'CenterDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Vendor_type_info = new String[]{'Vendor','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Breakdown_type_info = new String[]{'Breakdown','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MalfunctionStartDate_type_info = new String[]{'MalfunctionStartDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MalfunctionEndDate_type_info = new String[]{'MalfunctionEndDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] BreakdownDuration_type_info = new String[]{'BreakdownDuration','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] BreakdownDurationUnit_type_info = new String[]{'BreakdownDurationUnit','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Items_type_info = new String[]{'Items','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationNumber','FunctionalLocationObjectId','EquipmentNumber','MaintenancePlanningPlant','MainDescription','MainLongDescription','Priority','NotificationType','RequiredStartDate','RequiredEndDate','NotificationDate','OrderNumber','MainWorkCenter','Coding','CodingGroup','EnteredDate','EnteredBy','ChangedDate','ChangedBy','UserStatus','SystemStatus','ReportedBy','FunctionalLocationDescription','PlannerGroup','CenterDescription','Vendor','Breakdown','MalfunctionStartDate','MalfunctionEndDate','BreakdownDuration','BreakdownDurationUnit','Items'};
    }
    public class CreateNotificationRequest {
        public String FunctionalLocationObjectId;
        public String MaintenancePlanningPlant;
        public String MainDescription;
        public String MainLongDescription;
        public String Priority;
        public String NotificationType;
        public String ReferenceId;
        public String Coding;
        public String CodingGroup;
        public String ReportedBy;
        public String EquipmentNumber;
        public DateTime MalfunctionStartDate;
        public DateTime MalfunctionEndDate;
        public String BreakdownIndicator;
        private String[] FunctionalLocationObjectId_type_info = new String[]{'FunctionalLocationObjectId','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] MaintenancePlanningPlant_type_info = new String[]{'MaintenancePlanningPlant','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] MainDescription_type_info = new String[]{'MainDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] MainLongDescription_type_info = new String[]{'MainLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] NotificationType_type_info = new String[]{'NotificationType','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] Coding_type_info = new String[]{'Coding','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] CodingGroup_type_info = new String[]{'CodingGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ReportedBy_type_info = new String[]{'ReportedBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] EquipmentNumber_type_info = new String[]{'EquipmentNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MalfunctionStartDate_type_info = new String[]{'MalfunctionStartDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] MalfunctionEndDate_type_info = new String[]{'MalfunctionEndDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] BreakdownIndicator_type_info = new String[]{'BreakdownIndicator','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'FunctionalLocationObjectId','MaintenancePlanningPlant','MainDescription','MainLongDescription','Priority','NotificationType','ReferenceId','Coding','CodingGroup','ReportedBy','EquipmentNumber','MalfunctionStartDate','MalfunctionEndDate','BreakdownIndicator'};
    }
    public class CreateNotificationResponse {
        public SAPHOGNotificationServices.Notification Notification;
        public String Message;
        public String ReferenceId;
        public Boolean type_x;
        private String[] Notification_type_info = new String[]{'Notification','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] ReferenceId_type_info = new String[]{'ReferenceId','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'Notification','Message','ReferenceId'};
    }
    public class CloseNotificationResponse {
        public SAPHOGNotificationServices.Notification Notification;
        public String Message;
        public Boolean type_x;
        private String[] Notification_type_info = new String[]{'Notification','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'Notification','Message'};
    }
    public class NotificationItem {
        public String ItemKey;
        public String ItemCodeGroup;
        public String ItemCode;
        public String DamageCodeGroup;
        public String DamageCode;
        public String DamageDescription;
        public String DamageLongDescription;
        public SAPHOGNotificationServices.NotificationItemCauses Causes;
        public DateTime EnteredDate;
        public String EnteredBy;
        public DateTime ChangedDate;
        public String ChangedBy;
        private String[] ItemKey_type_info = new String[]{'ItemKey','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ItemCodeGroup_type_info = new String[]{'ItemCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] ItemCode_type_info = new String[]{'ItemCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] DamageCodeGroup_type_info = new String[]{'DamageCodeGroup','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] DamageCode_type_info = new String[]{'DamageCode','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] DamageDescription_type_info = new String[]{'DamageDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] DamageLongDescription_type_info = new String[]{'DamageLongDescription','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] Causes_type_info = new String[]{'Causes','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] EnteredDate_type_info = new String[]{'EnteredDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] EnteredBy_type_info = new String[]{'EnteredBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ChangedDate_type_info = new String[]{'ChangedDate','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] ChangedBy_type_info = new String[]{'ChangedBy','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'ItemKey','ItemCodeGroup','ItemCode','DamageCodeGroup','DamageCode','DamageDescription','DamageLongDescription','Causes','EnteredDate','EnteredBy','ChangedDate','ChangedBy'};
    }
    public class CreateNotificationsResponse {
        public SAPHOGNotificationServices.CreateNotificationResponse[] NotificationResponseList;
        public String Message;
        public Boolean type_x;
        private String[] NotificationResponseList_type_info = new String[]{'NotificationResponseList','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','-1','false'};
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationResponseList','Message'};
    }
    public class IsAliveRequest {
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{};
    }
    public class NotificationItemCauses {
        public SAPHOGNotificationServices.NotificationItemCause[] NotificationItemCause;
        private String[] NotificationItemCause_type_info = new String[]{'NotificationItemCause','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationItemCause'};
    }
    public class CreateNotificationsRequest {
        public SAPHOGNotificationServices.CreateNotificationRequest[] NotificationRequestList;
        private String[] NotificationRequestList_type_info = new String[]{'NotificationRequestList','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationRequestList'};
    }
    public class ArrayOfNotificationNumbers {
        public String[] NotificationNumber;
        private String[] NotificationNumber_type_info = new String[]{'NotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationNumber'};
    }
    public class GetNotificationRequest {
        public String NotificationNumber;
        private String[] NotificationNumber_type_info = new String[]{'NotificationNumber','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'NotificationNumber'};
    }
    public class RefreshSalesforceNotificationsResponse {
        public String Message;
        public Boolean type_x;
        private String[] Message_type_info = new String[]{'Message','http://huskenergy.com/integration/enterprise_services/sap_notification_service',null,'1','1','false'};
        private String[] type_x_att_info = new String[]{'type'};
        private String[] apex_schema_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service','true','false'};
        private String[] field_order_type_info = new String[]{'Message'};
    }
    public class NotificationPort {
        /*
        public String endpoint_x = 'http://cxf_provided';
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        public String clientCertName_x;
        public String clientCert_x;
        public String clientCertPasswd_x;
        public Integer timeout_x;
        */
        HOG_Settings__c settingsHOG = HOG_Settings__c.getInstance();
        public String endpoint_x = settingsHOG.SAP_Create_Notification_Endpoint__c;        
        public String clientCertName_x = settingsHOG.Client_Certificate_Name__c;    
        public Integer timeout_x = Integer.valueof(settingsHOG.SAP_Create_Notification_Timeout__c);      
      
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        public String clientCert_x;
        public String clientCertPasswd_x;

        
        private String[] ns_map_type_info = new String[]{'http://huskenergy.com/integration/enterprise_services/sap_notification_service', 'SAPHOGNotificationServices'};
        public SAPHOGNotificationServices.CreateNotificationsResponse CreateNotifications(SAPHOGNotificationServices.CreateNotificationRequest[] NotificationRequestList) {
            SAPHOGNotificationServices.CreateNotificationsRequest request_x = new SAPHOGNotificationServices.CreateNotificationsRequest();
            request_x.NotificationRequestList = NotificationRequestList;
            SAPHOGNotificationServices.CreateNotificationsResponse response_x;
            Map<String, SAPHOGNotificationServices.CreateNotificationsResponse> response_map_x = new Map<String, SAPHOGNotificationServices.CreateNotificationsResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'CreateNotifications',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CreateNotificationsRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CreateNotificationsResponse',
              'SAPHOGNotificationServices.CreateNotificationsResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGNotificationServices.UpdateNotificationResponse UpdateNotification(String NotificationNumber,String CauseCodeGroup,String CauseCode,String CauseDescription,String NewCauseLongDescription,String DamageCodeGroup,String DamageCode,String DamageDescription,String NewDamageLongDescription,String PartCodeGroup,String PartCode,String PartKey,String MainDescription,String NewMainLongDescription,String Coding,String CodingGroup,String MainWorkCenter,String Priority,DateTime LastChangedDate,String LastChangedBy,String EquipmentNumber,DateTime MalfunctionStartDate,DateTime MalfunctionEndDate,String BreakdownIndicator) {
            SAPHOGNotificationServices.UpdateNotificationRequest request_x = new SAPHOGNotificationServices.UpdateNotificationRequest();
            request_x.NotificationNumber = NotificationNumber;
            request_x.CauseCodeGroup = CauseCodeGroup;
            request_x.CauseCode = CauseCode;
            request_x.CauseDescription = CauseDescription;
            request_x.NewCauseLongDescription = NewCauseLongDescription;
            request_x.DamageCodeGroup = DamageCodeGroup;
            request_x.DamageCode = DamageCode;
            request_x.DamageDescription = DamageDescription;
            request_x.NewDamageLongDescription = NewDamageLongDescription;
            request_x.PartCodeGroup = PartCodeGroup;
            request_x.PartCode = PartCode;
            request_x.PartKey = PartKey;
            request_x.MainDescription = MainDescription;
            request_x.NewMainLongDescription = NewMainLongDescription;
            request_x.Coding = Coding;
            request_x.CodingGroup = CodingGroup;
            request_x.MainWorkCenter = MainWorkCenter;
            request_x.Priority = Priority;
            request_x.LastChangedDate = LastChangedDate;
            request_x.LastChangedBy = LastChangedBy;
            request_x.EquipmentNumber = EquipmentNumber;
            request_x.MalfunctionStartDate = MalfunctionStartDate;
            request_x.MalfunctionEndDate = MalfunctionEndDate;
            request_x.BreakdownIndicator = BreakdownIndicator;
            SAPHOGNotificationServices.UpdateNotificationResponse response_x;
            Map<String, SAPHOGNotificationServices.UpdateNotificationResponse> response_map_x = new Map<String, SAPHOGNotificationServices.UpdateNotificationResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'UpdateNotification',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'UpdateNotificationRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'UpdateNotificationResponse',
              'SAPHOGNotificationServices.UpdateNotificationResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGNotificationServices.CreateNotificationResponse CreateNotification(String FunctionalLocationObjectId,String MaintenancePlanningPlant,String MainDescription,String MainLongDescription,String Priority,String NotificationType,String ReferenceId,String Coding,String CodingGroup,String ReportedBy,String EquipmentNumber,DateTime MalfunctionStartDate,DateTime MalfunctionEndDate,String BreakdownIndicator) {
            SAPHOGNotificationServices.CreateNotificationRequest request_x = new SAPHOGNotificationServices.CreateNotificationRequest();
            request_x.FunctionalLocationObjectId = FunctionalLocationObjectId;
            request_x.MaintenancePlanningPlant = MaintenancePlanningPlant;
            request_x.MainDescription = MainDescription;
            request_x.MainLongDescription = MainLongDescription;
            request_x.Priority = Priority;
            request_x.NotificationType = NotificationType;
            request_x.ReferenceId = ReferenceId;
            request_x.Coding = Coding;
            request_x.CodingGroup = CodingGroup;
            request_x.ReportedBy = ReportedBy;
            request_x.EquipmentNumber = EquipmentNumber;
            request_x.MalfunctionStartDate = MalfunctionStartDate;
            request_x.MalfunctionEndDate = MalfunctionEndDate;
            request_x.BreakdownIndicator = BreakdownIndicator;
            SAPHOGNotificationServices.CreateNotificationResponse response_x;
            Map<String, SAPHOGNotificationServices.CreateNotificationResponse> response_map_x = new Map<String, SAPHOGNotificationServices.CreateNotificationResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'CreateNotification',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CreateNotificationRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CreateNotificationResponse',
              'SAPHOGNotificationServices.CreateNotificationResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public SAPHOGNotificationServices.GetNotificationResponse GetNotification(String NotificationNumber) {
            SAPHOGNotificationServices.GetNotificationRequest request_x = new SAPHOGNotificationServices.GetNotificationRequest();
            request_x.NotificationNumber = NotificationNumber;
            SAPHOGNotificationServices.GetNotificationResponse response_x;
            Map<String, SAPHOGNotificationServices.GetNotificationResponse> response_map_x = new Map<String, SAPHOGNotificationServices.GetNotificationResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'GetNotification',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'GetNotificationRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'GetNotificationResponse',
              'SAPHOGNotificationServices.GetNotificationResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public String RefreshSalesforceNotifications(DateTime DateToRefresh,SAPHOGNotificationServices.ArrayOfNotificationNumbers NotificationNumbers) {
            SAPHOGNotificationServices.RefreshSalesforceNotificationsRequest request_x = new SAPHOGNotificationServices.RefreshSalesforceNotificationsRequest();
            request_x.DateToRefresh = DateToRefresh;
            request_x.NotificationNumbers = NotificationNumbers;
            SAPHOGNotificationServices.RefreshSalesforceNotificationsResponse response_x;
            Map<String, SAPHOGNotificationServices.RefreshSalesforceNotificationsResponse> response_map_x = new Map<String, SAPHOGNotificationServices.RefreshSalesforceNotificationsResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'RefreshSalesforceNotifications',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'RefreshSalesforceNotificationsRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'RefreshSalesforceNotificationsResponse',
              'SAPHOGNotificationServices.RefreshSalesforceNotificationsResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.Message;
        }
        public SAPHOGNotificationServices.CloseNotificationResponse CloseNotification(String NotificationNumber) {
            SAPHOGNotificationServices.CloseNotificationRequest request_x = new SAPHOGNotificationServices.CloseNotificationRequest();
            request_x.NotificationNumber = NotificationNumber;
            SAPHOGNotificationServices.CloseNotificationResponse response_x;
            Map<String, SAPHOGNotificationServices.CloseNotificationResponse> response_map_x = new Map<String, SAPHOGNotificationServices.CloseNotificationResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'CloseNotification',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CloseNotificationRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'CloseNotificationResponse',
              'SAPHOGNotificationServices.CloseNotificationResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x;
        }
        public String IsAlive() {
            SAPHOGNotificationServices.IsAliveRequest request_x = new SAPHOGNotificationServices.IsAliveRequest();
            SAPHOGNotificationServices.IsAliveResponse response_x;
            Map<String, SAPHOGNotificationServices.IsAliveResponse> response_map_x = new Map<String, SAPHOGNotificationServices.IsAliveResponse>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'IsAlive',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'IsAliveRequest',
              'http://huskenergy.com/integration/enterprise_services/sap_notification_service',
              'IsAliveResponse',
              'SAPHOGNotificationServices.IsAliveResponse'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.ErrorMessage;
        }
    }
}